@extends($activeTemplate . 'layouts.master')
@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <div class="card custom--card">
                    <div class="card-header">
                        <h5 class="card-title">@lang('Razorpay')</h5>
                    </div>
                    <div class="card-body">
                        <ul class="list-group text-center list-group-flush mb-3">
                            <li class="list-group-item d-flex justify-content-between  bg-transparent text-white b-input">
                                @lang('You have to pay '):
                                <strong>
                                    {{ showAmount($deposit->final_amo, currencyFormat: false) }}
                                    {{ __($deposit->method_currency) }}
                                </strong>
                            </li>
                            <li class="list-group-item d-flex justify-content-between  bg-transparent text-white b-input">
                                @lang('You will get '):
                                <strong>{{ showAmount($deposit->amount) }}</strong>
                            </li>
                        </ul>
                        <form action="{{ $data->url }}" method="{{ $data->method }}" class="disableSubmission">
                            <input type="hidden" custom="{{ $data->custom }}" name="hidden">
                            <script src="{{ $data->checkout_js }}"
                                @foreach ($data->val as $key => $value)
                                data-{{ $key }}="{{ $value }}" @endforeach>
                            </script>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection


@push('script')
    <script>
        (function($) {
            "use strict";
            $('input[type="submit"]').addClass("cmn--btn btn-block");
        })(jQuery);
    </script>
@endpush
