@extends($activeTemplate . 'layouts.master')
@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <div class="card custom--card">
                    <div class="card-header">
                        <h5 class="card-title">@lang('Stripe Storefront')</h5>
                    </div>
                    <div class="card-body">
                        <form action="{{ $data->url }}" method="{{ $data->method }}" class="disableSubmission">
                            <ul class="list-group text-center mb-3 list-group-flush">
                                <li
                                    class="list-group-item d-flex justify-content-between bg-transparent text-white b-input">
                                    @lang('You have to pay '):
                                    <strong>
                                        {{ showAmount($deposit->final_amo, currencyFormat: false) }}
                                        {{ __($deposit->method_currency) }}
                                    </strong>
                                </li>
                                <li
                                    class="list-group-item d-flex justify-content-between bg-transparent text-white b-input">
                                    @lang('You will get '):
                                    <strong>{{ showAmount($deposit->amount) }}</strong>
                                </li>
                            </ul>
                            <script src="{{ $data->src }}" class="stripe-button"
                                @foreach ($data->val as $key => $value)
                            data-{{ $key }}="{{ $value }}" @endforeach>
                            </script>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('script-lib')
    <script src="https://js.stripe.com/v3/"></script>
@endpush
@push('script')
    <script>
        (function($) {
            "use strict";
            $('button[type="submit"]').addClass("cmn--btn btn-block");
            $('button[type="submit"]').text("Pay Now");
        })(jQuery);
    </script>
@endpush
